Skip to main content
POST
/
webhooks
/
register
Register a webhook
curl --request POST \
  --url https://api.balampay.com/webhooks/register \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Api-Version: <x-api-version>' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "client_uuid": "{{client_id}}",
  "webhook_url": "https://webhook.site/YOUR-UNIQUE-ID"
}
'
{
  "code": "<string>",
  "message": "<string>",
  "errors": [
    {
      "field": "<string>",
      "message": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Access token from POST /auth (the data.access_token value).

x-api-key
string
header
required

API key issued by Kira. Required on every request, including /auth.

Headers

X-Api-Version
string
required
Example:

"2026-04-14"

Body

application/json

The body is of type object.

Response

Success.